Bug 217240 - namei ignores non-directory components instead of saying "Not a directory"
namei ignores non-directory components instead of saying "Not a directory"
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karel Zak
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-25 11:02 EST by Matt McCutchen
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-15 10:08:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matt McCutchen 2006-11-25 11:02:50 EST
Description of problem:
If I pass namei a path "a/b", where "a" exists but is not a directory, namei
ignores the "a" component and tries to access "b" in the current directory.  It
should complain that "a" is "Not a directory".

Version-Release number of selected component (if applicable):
util-linux-2.13-0.44

How reproducible:
Always

Steps to Reproduce:
$ mkdir foo
$ cd foo
$ touch a b
$ namei a/b
  
Actual output:
f: a/b
 - a
 - b

Expected output:
f: a/b
 ? a - Not a directory (20)
Comment 1 Matt McCutchen 2006-12-17 10:14:13 EST
Perhaps it would be more correct to say ENOTDIR instead of ENOENT?

Note You need to log in before you can comment on or make changes to this bug.